Bug 617355 - emacs-terminal.desktop
emacs-terminal.desktop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 15:57 EDT by Owen Taylor
Modified: 2013-03-03 18:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 11:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2010-07-22 15:57:13 EDT
Having a desktop menu item for emacs-terminal by default is a substantial usability problem.

With GNOME 3.0, the primary identification of an application is the icon (launching is by an icon grid rather than a GNOME 2 style menu); reusing the terminal icon for emacs in terminal mode means that there are two visual "Terminals", only 1 of which is actually the application that the user probably wanted (the default terminal for the desktop.)

Also, it's generally speaking, bad usability to have multiple menu items that launch the *same* application, but in different modes. This is confusing to users that expect to have a 1:1 mapping between menu items and applications. Emacs as launched by emacs-terminal is not different from Emacs - you can open files, run GNUS, etc.

I suspect the small group of people who want to use emacs as their terminal emulator already have emacs open, and don't need to launch it from the menu.

This desktop file either:

 - Should be removed entirely
 - Should be in a not-installed-by-default subpackage

I think the former is the better choice; no reason for complexity for something that is very unlikely to be useful to anybody.
Comment 1 Karel Klíč 2010-07-27 10:35:42 EDT
Hi Owen,

please see bug #551949. It seems that Emacs provides the only terminal capable of handling Malayalam script.

I also neither use nor like that desktop menu item. Nevertheless, if that item is the only possibility for many users (particularly non-Emacs users speaking Malayalam) how to get a terminal, then it is probably very useful for them.

So how about moving that menu item to a subpackage? The subpackage will be removed as soon as the GNOME Terminal becomes usable by those users.
Comment 2 Praveen Arimbrathodiyil 2010-07-28 04:46:40 EDT
Second option - a sub package for emacs-terminal.desktop - should be OK.
Comment 3 Naveen Kumar 2010-07-28 04:53:29 EDT
Just a quick look and I saw konsole, gnome-terminal and termit using the same terminal icon.
Comment 4 Bug Zapper 2010-07-30 08:45:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Karel Klíč 2010-08-03 11:37:00 EDT
Fixed both in F14 and Rawhide, package version emacs-23.2-8.

Note You need to log in before you can comment on or make changes to this bug.